set -o allexport

#FOLLOWING THREE VARIABLES HAVE BE TO SET IN ENVIRONMENT BEFORE ISSUEING THIS COMMAND
#WAS_HOME
#WL_HOME
#MDM_TOOLS_HOME=<Location where metadata tools are installed>

function CHECK_ARGS {
	if [ "$1" = "" ]
	then
		SHOWMSG MDM00004040
		exit
	else
		if [ "$1" != "-checkMetadataServerConnection" ]
		then
			if [ "$1" != "-checkDataServerConnection" ]
			then
				SHOWMSG MDM00004040
				exit
			else
				if [ "$2" = "" ]
				then
					if [ "${mdm_dataserver_address}" = "" ]
					then
						SHOWMSG MDM00004050
						exit
					else
						if [ "${mdm_dataserver_port}" = "" ]
						then
							SHOWMSG MDM00004060
							exit
						fi
					fi
				fi
			fi
		else
			if [ "${mdm_metadataserver_address}" = "" ]	
			then
				SHOWMSG MDM00004020
				exit
			else
				if [ "${mdm_metadataserver_port}" = "" ]
				then
					SHOWMSG MDM00004030
					exit
				fi
			fi
		fi
	fi
}

function SHOWMSG {
        a=$(locale)
        for x in `locale | cut -c6-10`
		do
  			b=$x
   			break
		done
        #b=$(expr substr "$a" 6 5)
        if [ ! -r ${MDM_TOOLS_HOME}/MDMMetadataTools/properties/env/EnvMsg_$b.properties ]
        then
        		for y in `locale | cut -c6-7`
				do
	  				lang=$y
	   				break
				done
                 #lang=$(expr substr "$b" 1 2)
                 msgFile=${MDM_TOOLS_HOME}/MDMMetadataTools/properties/env/EnvMsg_$lang.properties
        else
                 msgFile=${MDM_TOOLS_HOME}/MDMMetadataTools/properties/env/EnvMsg_$b.properties
        fi
        a=`grep "$1" $msgFile`
        echo $a|cut -d'=' -f2
}


function SET_CP {

	MDM_METADATA_TOOLS_HOME=${MDM_TOOLS_HOME}/MDMMetadataTools

	MDM_METADATA_TOOLS_LIB=${MDM_METADATA_TOOLS_HOME}/lib

	CP=${CP}:${MDM_METADATA_TOOLS_LIB}/com.ibm.mdm.tools.metadata.admin.jar
	CP=${CP}:${MDM_METADATA_TOOLS_LIB}/com.ibm.mdm.tools.metadata.admin.runtime.jar
	CP=${CP}:${MDM_METADATA_TOOLS_LIB}/com.ibm.mdm.tools.metadata.common.jar
	CP=${CP}:${MDM_METADATA_TOOLS_LIB}/com.ibm.mdm.tools.metadata.spec.jar
	CP=${CP}:${MDM_METADATA_TOOLS_LIB}/org.eclipse.xsd_2.2.1.v200609210005.jar
	CP=${CP}:${MDM_METADATA_TOOLS_LIB}/org.eclipse.emf.common_2.2.1.v200702131851.jar
	CP=${CP}:${MDM_METADATA_TOOLS_LIB}/org.eclipse.emf.ecore_2.2.2.v200702131851.jar
	CP=${CP}:${MDM_METADATA_TOOLS_LIB}/org.eclipse.emf.ecore.xmi_2.2.2.v200702131851.jar

	#Following are the jar file names required from MDM Runtime collected through 
	#dependency tree in RSA by looking into
	#<Project>->Properties->Java Build Path-> Projects tab.

	CP=${CP}:${MDM_METADATA_TOOLS_LIB}/MDMClient.jar

	# Set the memory to be used. For example, use 100M to allocate 100 megabytes.
	memory=200M
}

function SET_WAS {

	#JAVA_HOME=${WAS_HOME}/java
	
	WAS_LIB_HOME=${WAS_HOME}/lib
	
	SET_CP
	
	# Add WebSphere jars
	CP=${CP}:${WAS_LIB_HOME}/j2ee.jar
	CP=${CP}:${WAS_HOME}/runtimes/com.ibm.ws.admin.client_6.1.0.jar
	CP=${CP}:${WAS_HOME}/properties
	CP=${CP}:${JAVA_HOME}/jre/lib/ibmorb.jar

	INVOKE_JAVA
}

function SET_BEA {

	#JAVA_HOME=<For weblogic>
	
	SET_CP

	# add 
	CP=${JAVA_HOME}/jre/lib/rt.jar:${CP}
	CP=${WL_HOME}/server/lib/weblogic.jar:${CP}

	INVOKE_JAVA
}

function INVOKE_JAVA {
	SHOWMSG MDM00004130
	# ${JAVA_HOME}/bin/java -classpath ${CP} com.ibm.mdm.tools.metadata.admin.deploy.MDMCheckEnvironment $1 $2
}

if [ "$MDM_TOOLS_HOME" = "" ]
then
D=`dirname $0`
MDM_TOOLS_HOME="`cd \"$D\" 2>/dev/null && pwd || echo \"$D\"/../..`/../.."
# CHECK_ARGS $1 $2
fi

if [ "$WAS_HOME" = "" ] && [ "$WL_HOME" = "" ]
then
SHOWMSG MDM00004010
else
if [ "$WAS_HOME" != "" ]
then
SET_WAS
else
SET_BEA
fi
fi
########################################################## {COPYRIGHT-TOP} #####
# Licensed Materials - Property of IBM
# "Restricted Materials of IBM"
#
# 5724-S78
#
# (C) Copyright IBM Corp. 2008  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
########################################################## {COPYRIGHT-END} #####
